# py-kms

![Version: 0.1.0](https://img.shields.io/badge/Version-0.1.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: python3](https://img.shields.io/badge/AppVersion-python3-informational?style=flat-square)

A Helm chart for Kubernetes

## Deployment

Below is a basic overview of the steps required to deploy the Helm chart to an existing Kubernetes cluster which is accessible via Kubectl

### Create py-kms Namespace (recommended)

`kubectl create ns py-kms`

### Deploy chart with default values.yaml

`helm install -n py-kms -f myvalues.yaml charts/py-kms`

For more information please refer to the Helm Install command documentation located at: https://helm.sh/docs/helm/helm_install/

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| autoscaling.enabled | bool | `false` |  |
| autoscaling.maxReplicas | int | `100` |  |
| autoscaling.minReplicas | int | `1` |  |
| autoscaling.targetCPUUtilizationPercentage | int | `80` |  |
| fullnameOverride | string | `""` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"pykmsorg/py-kms"` |  |
| image.tag | string | `"python3"` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.className | string | `""` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"chart-example.local"` |  |
| ingress.hosts[0].paths[0].path | string | `"/"` |  |
| ingress.hosts[0].paths[0].pathType | string | `"ImplementationSpecific"` |  |
| ingress.tls | list | `[]` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| py-kms.environment.HWID | string | `"RANDOM"` |  |
| py-kms.environment.IP | string | `"0.0.0.0"` |  |
| py-kms.environment.LOGLEVEL | string | `"INFO"` |  |
| py-kms.environment.LOGSIZE | int | `2` |  |
| py-kms.environment.SQLITE | bool | `true` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| service.httpPort | int | `80` |  |
| service.kmsPort | int | `1688` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount | object | `{}` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
